module "app_subnets" {
  source = "git::https://git.prime.cv/roberto.barbosa/terraform.git//subnets"

  vpc_id = "${data.terraform_remote_state.base.vpc_id}"
  stack_name = "${var.stack_name}"
  prefix = "app"
  subnet_cidrs = ["10.6.50.0/24","10.6.51.0/24","10.6.52.0/24"]
  route_table = "${data.terraform_remote_state.base.public}"
}

module "ha_instance" {
  source = "git::https://git.prime.cv/roberto.barbosa/terraform.git//ha_instance"

  vpc_id = "${data.terraform_remote_state.base.vpc_id}"
  stack_name = "${var.stack_name}"
  alb_secgroups = ["${data.terraform_remote_state.base.inbound}"]
  app_subnets = ["${split(",", module.app_subnets.subnets)}"]
  azs = ["${data.aws_availability_zones.available.names[0]}","${data.aws_availability_zones.available.names[1]}","${data.aws_availability_zones.available.names[2]}"]
}

