module "db_subnets" {
	source = "git::https://git.prime.cv/roberto.barbosa/terraform.git//subnets"

  	vpc_id = "${data.terraform_remote_state.base.vpc_id}"
	stack_name = "${var.stack_name}"
        prefix = "db"
	subnet_cidrs = ["10.6.10.0/24","10.6.11.0/24","10.6.12.0/24"]
	route_table = "${data.terraform_remote_state.base.public}"
}

module "rds" {
  source = "git::https://git.prime.cv/roberto.barbosa/terraform.git//rds"

  vpc_id = "${data.terraform_remote_state.base.vpc_id}"
  region = "${var.region}"
  stack_name = "${var.stack_name}"
  
  database_name = "nuxeo-${var.stack_name}"
  db_subnets = ["${split(",", module.db_subnets.subnets)}"]
  security_group_ids = [""]
  azs = ["${data.aws_availability_zones.available.names[0]}","${data.aws_availability_zones.available.names[1]}","${data.aws_availability_zones.available.names[2]}"]

  create_dns_domain = true
  create_dns_record = true
}
